---
id: "CoreDependencies"
title: "Interface: CoreDependencies"
sidebar_label: "CoreDependencies"
sidebar_position: 0
custom_edit_url: null
---

## Properties

### @sern/client

• **@sern/client**: () => [`Emitter`](Emitter.md)

#### Type declaration

▸ (): [`Emitter`](Emitter.md)

##### Returns

[`Emitter`](Emitter.md)

#### Defined in

[src/types/ioc.ts:28](https://github.com/sern-handler/handler/blob/81cdde2/src/types/ioc.ts#L28)

___

### @sern/emitter

• **@sern/emitter**: () => [`Emitter`](Emitter.md)

#### Type declaration

▸ (): [`Emitter`](Emitter.md)

##### Returns

[`Emitter`](Emitter.md)

#### Defined in

[src/types/ioc.ts:30](https://github.com/sern-handler/handler/blob/81cdde2/src/types/ioc.ts#L30)

___

### @sern/errors

• **@sern/errors**: () => [`ErrorHandling`](ErrorHandling.md)

#### Type declaration

▸ (): [`ErrorHandling`](ErrorHandling.md)

##### Returns

[`ErrorHandling`](ErrorHandling.md)

#### Defined in

[src/types/ioc.ts:33](https://github.com/sern-handler/handler/blob/81cdde2/src/types/ioc.ts#L33)

___

### @sern/logger

• `Optional` **@sern/logger**: () => [`Logging`](Logging.md)<`unknown`\>

#### Type declaration

▸ (): [`Logging`](Logging.md)<`unknown`\>

##### Returns

[`Logging`](Logging.md)<`unknown`\>

#### Defined in

[src/types/ioc.ts:29](https://github.com/sern-handler/handler/blob/81cdde2/src/types/ioc.ts#L29)

___

### @sern/modules

• **@sern/modules**: () => [`ModuleManager`](ModuleManager.md)

#### Type declaration

▸ (): [`ModuleManager`](ModuleManager.md)

##### Returns

[`ModuleManager`](ModuleManager.md)

#### Defined in

[src/types/ioc.ts:32](https://github.com/sern-handler/handler/blob/81cdde2/src/types/ioc.ts#L32)

___

### @sern/store

• **@sern/store**: () => [`CoreModuleStore`](CoreModuleStore.md)

#### Type declaration

▸ (): [`CoreModuleStore`](CoreModuleStore.md)

##### Returns

[`CoreModuleStore`](CoreModuleStore.md)

#### Defined in

[src/types/ioc.ts:31](https://github.com/sern-handler/handler/blob/81cdde2/src/types/ioc.ts#L31)
